KDE 4.7 PyKDE API Reference

- KDE's Python API

# KSslCipher Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

## Methods
| __init__ (self)
| __init__ (self, KSslCipher other)
| __init__ (self, QSslCipher a0)
QString | authenticationMethod (self)
QString | digestMethod (self)
QString | encryptionMethod (self)
bool | isNull (self)
QString | keyExchangeMethod (self)
QString | name (self)
int | supportedBits (self)
int | usedBits (self)
## Static Methods
[KSslCipher] | supportedCiphers ()

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KSslCipher | other
| ) |  |  |

__init__ | ( | self, |
|  | QSslCipher | a0
| ) |  |  |

QString authenticationMethod | ( |  | self ) |

QString digestMethod | ( |  | self ) |

QString encryptionMethod | ( |  | self ) |

bool isNull | ( |  | self ) |

QString keyExchangeMethod | ( |  | self ) |

QString name | ( |  | self ) |

int supportedBits | ( |  | self ) |

int usedBits | ( |  | self ) |

## Static Method Documentation

[KSslCipher] supportedCiphers | ( |  | ) |